package com.aitrainer.api.repository

import com.aitrainer.api.model.ExerciseType
import org.springframework.data.jpa.repository.JpaRepository
import org.springframework.stereotype.Repository

@Repository
interface ExerciseTypeRepository : JpaRepository<ExerciseType, Long>{
    
    fun findByName(name: String): ExerciseType

}