package com.aitrainer.api.test

import com.aitrainer.api.model.Exercises
import com.aitrainer.api.repository.ExercisesRepository
import org.junit.jupiter.api.Test
import org.springframework.beans.factory.annotation.Autowired
import org.springframework.boot.test.context.SpringBootTest
import kotlin.test.assertEquals

@SpringBootTest
class ExerciseTest {

    @Autowired
    private lateinit var exerciseRepository: ExercisesRepository

    @Test
    fun testGet() {
        var id: Long = 1

        val exercises: List<Exercises> = exerciseRepository.getAllByCustomerId( id )
        assertEquals( exercises[0].quantity, 12)

        id = 100000
        val exercises2: List<Exercises> = exerciseRepository.getAllByCustomerId( id )

        assertEquals( exercises2.size, 0)
    }
}