package com.aitrainer.api.repository

import com.aitrainer.api.model.Exercises
import org.springframework.data.jpa.repository.JpaRepository
import org.springframework.stereotype.Repository

@Repository
interface ExercisesRepository : JpaRepository<Exercises, Long> {
    fun getAllByCustomerId( customerId: Long ):List<Exercises>
}